
Redmine - Feature #3967

Ability to define default columns to display based on project

2009-10-04 12:29 - Vitaly Klimov

Status: Closed Start date: 2009-10-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It would be great if there would be possibility to define default columns to display for each project separately. Right now it is very

unconvenient to have one setting for all projects. We have projects for different areas and thus default fields should be different for

each area.

BTW, it is idea for plugin. I believe this one would be relatively easy to implement.

Related issues:

Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04

Related to Redmine - Feature #7360: Issue custom query: default query per ins... Closed 2011-01-18

Is duplicate of Redmine - Feature #1943: Issue list > Column selection indepe... Closed 2008-09-24

Is duplicate of Redmine - Feature #2022: Configure issues columns per project Closed 2008-10-11

Is duplicate of Redmine - Feature #3318: "Issue tracking" on project basis Closed 2009-05-07

Has duplicate Redmine - Feature #9194: Issues default list view layout config... Closed 2011-09-06

History

#1 - 2009-11-12 14:17 - Stefaan Ellebaut

Any news on this one, this would help us a lot!

#2 - 2009-11-23 15:01 - Mischa The Evil

+1 from me...

#3 - 2009-11-23 15:10 - Mischa The Evil

- Status changed from New to Closed

Closed as a duplicate of #3967.

#4 - 2009-11-23 15:20 - Mischa The Evil

- Status changed from Closed to Reopened

Mischa The Evil wrote:

Closed as a duplicate of #3967.

 Reverted incorrect closure due to difficult to follow issue relationships.

#5 - 2009-12-18 06:14 - Richard Schulte

+ 1

I wish I could help, though my RoR dev knowledge is very limited... however, willing to run tests

#6 - 2010-02-27 20:22 - Vitaly Klimov

I have wrote small plugin which implements this feature. Details can be found on the forum: http://www.redmine.org/boards/3/topics/11764
#7 - 2010-08-13 20:20 - John Dell

+1 for this feature.  This seems like something that should be a core feature.  I will give Vitaly's plugin a try.

#8 - 2010-10-27 23:42 - Sebastian Herbermann

+1

I really need this to use Redmine for different groups of users!

#9 - 2011-02-03 16:02 - Nicklas Westerholm

+1

I'm in need of this feature as well. Any progress?

#10 - 2011-02-08 17:17 - Vitaly Klimov

Please check latest version of my plugin:

http://www.redmine.org/plugins/redmine_default_columns

I have ability to define filters/columns based on user preferences.

#11 - 2012-03-19 21:21 - Ben Asher

+1

I think this would work a lot better as a core feature. The plugin above (redmine_default_columns) probably doesn't work out of the box with the latest

Redmine (currently 1.3.2) anymore (I've patched the plugin a lot). It also breaks some functionality in Redmine 1.3+ (e.g. modal dialog box for CSV

export).

#12 - 2012-08-31 16:03 - Bruno Passos

+1 to a core feature as well

#13 - 2014-02-20 13:41 - Massimo Rossello

+1

#14 - 2014-03-17 08:06 - Vincent Lizzi

+1

Every project (for me) needs different defaults for the Issues page. I'm using the default queries per project plugin, but its not intuitive for new users

and I'm not sure if it works with the Redmine versions newer than 2.0. This would be helpful to have as a core feature.

This feature could be a new field on the project settings page, possibly labeled "Issues default query" with a dropdown of custom queries defined in

the project. The Issues tab would by default open the custom query specified by this setting, or if it is not set then use the global defaults.

#15 - 2014-03-19 10:41 - Jānis Rozefelds

+1!

#16 - 2014-03-19 18:08 - Oscar Corsvall

+1

Would be really great

#17 - 2014-03-19 18:44 - Evan Wolf

I would Love Love Love Love Love Love Love Love this feature!  Currently needs a plugin, and my admin will not install it!  If this functionality was

built in I would kiss the devs.  It's the only thing missing from Redmine, from a usability standpoint.

#18 - 2014-03-20 04:09 - Hans Bangkok

+1 ideally for core

or at least get plugin updated

#19 - 2014-05-06 09:30 - Enmos Proje

+1

#20 - 2014-11-13 09:09 - Bahri Yardim

2025-05-02 2/3

http://www.redmine.org/plugins/redmine_default_columns
http://www.redmine.org/plugins/redmine_default_columns


+1

#21 - 2015-01-26 09:23 - Anton Gillert

+1

#22 - 2015-03-19 16:24 - Aron Rotteveel

+1. This would really improve things a lot.

#23 - 2015-06-21 18:46 - Quan VN

I think this plugins can help

http://www.redmine.org/plugins/redmine_default_custom_query

The desired columns could be set in the query

#24 - 2016-06-14 16:36 - Michael Schaefer

+1. that would be very useful!

#25 - 2016-08-27 04:54 - regs -

- seems to be already possible

#26 - 2016-09-15 03:57 - Toshi MARUYAMA

regs - wrote:

- seems to be already possible

 AFAIK no.

#27 - 2017-02-18 11:55 - Marius BĂLTEANU

related/duplicates #7360

#28 - 2017-03-18 16:29 - Toshi MARUYAMA

- Related to Feature #7360: Issue custom query: default query per instance, project and user added

#29 - 2017-10-15 09:31 - Go MAEDA

- Has duplicate Feature #9194: Issues default list view layout configurable per project added

#30 - 2019-12-17 17:01 - Etienne E

hi

+1 it would be very nice to have this feature.

some projects and users don't use the same fields on each project..

thanks!

#31 - 2019-12-23 08:36 - Taine Woo

+1

#32 - 2021-07-09 01:34 - Go MAEDA

- Category changed from Projects to Project settings

- Status changed from Reopened to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Fixed

Redmine 5.0.0 will allow you to set a default query for each project (#7360).

Create a custom query that displays the fields you need, and then set the custom query as the default query for the project.
